## org.apache.commons.math.analysis
Interface MultivariateRealFunction

All Known Subinterfaces:
  DifferentiableMultivariateRealFunction

All Known Implementing Classes:
  LeastSquaresConverter, MicrosphereInterpolatingFunction

    public interface MultivariateRealFunction

An interface representing a multivariate real function.

Since:
  2.0
Version:
  $Revision: 1070725 $ $Date: 2011-02-15 02:31:12 +0100 (mar. 15 févr. 2011) $

Method Summary
`double` `value(double[] point)` Compute the value for the function at the given point.

Method Detail

### value

    double value(double[] point)
                 throws FunctionEvaluationException,
                        IllegalArgumentException

  Compute the value for the function at the given point.

  Parameters:
    `point` - point at which the function must be evaluated
  Returns:
    function value for the given point
  Throws:
    `FunctionEvaluationException` - if the function evaluation fails
    `IllegalArgumentException` - if points dimension is wrong

Copyright (c) 2003-2013 Apache Software Foundation